/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Bteam of Ketamine Media
Author: Md Forid Uddin
Author URI: https://www.facebook.com/foriduddin.dev
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/
/* =====================================================================
  * Body Custom Css Code 
  * =====================================================================
  */
body .elementor-widget-html:not(:has(.wprevpro)) :where(ul, ol),
body .elementor-widget-text-editor :where(ul, ol),
body .elementor-widget-theme-post-content :where(ul, ol) {
    margin-bottom: 0.9rem;
}

body .elementor-widget-text-editor :last-child,
body .elementor-widget-html:not(:has(.wprevpro)) :last-child,
body .elementor-widget-theme-post-content :last-child {
    margin-bottom: 0px;
}

body .elementor-widget-html:not(:has(.wprevpro)) :where(ul, ol) li:not(:last-child),
body .elementor-widget-text-editor :where(ul, ol) li:not(:last-child),
body .elementor-widget-theme-post-content :where(ul, ol) li:not(:last-child) {
    margin-bottom: 8px;
}

body .elementor-widget-text-editor.no-space *:last-child {
    margin-bottom: 0px;
}

body .elementor-widget-heading p.elementor-heading-title {
    margin-bottom: 0px;
}

body .elementor-widget-heading span.elementor-heading-title,
body .elementor-widget-heading p.elementor-heading-title {
    line-height: 1.4;
}

body .elementor-widget-image-box .elementor-image-box-img img {
    display: inline-block;
}

body .elementor-widget-heading span.elementor-heading-title {
    font-weight: 500;
    font-size: 110%;
	text-transform:uppercase;
}

body .elementor-widget-heading:has(span.elementor-heading-title) {
    margin-bottom: -10px!important;
}

body .elementor-widget-heading .elementor-heading-title span {
    color: var(--e-global-color-primary);
}

body .elementor-widget-button .elementor-button {
    min-width: min(100%, 250px);
}

body .elementor-widget-button .elementor-widget-container {
    width: 100%;
}

@media only screen and (max-width: 767px) {
    body .elementor-widget-heading:not(.skip) .elementor-heading-title br {
        display: none;
    }
}
/* =====================================================================
* Banner Breadcrumbs Style Css
* =====================================================================
*/
body .banner--breadcrumbs {
	box-shadow: calc(-100vmax - 10px) 0 0 100vmax var(--e-global-color-primary)!important;
	clip-path: inset(0 -100vmax)!important;
	background-color: var( --e-global-color-primary );
    padding: 10px 20px 10px 20px;
    border-radius: 0px 5px 5px 0px;
	z-index:2;
}

body .banner--breadcrumbs .elementor-heading-title {
    display: -webkit-box;
    -webkit-line-clamp:1;
    -webkit-box-orient:vertical;
    overflow: hidden;
	line-height: 1.3em;
    color: var( --e-global-color-white );
}

@media only screen and (max-width: 767px) {
	body .banner--breadcrumbs .elementor-heading-title {
		text-align:center;
	}	
}

@media screen and (min-width: 768px) {
body .banner--breadcrumbs {
    position: absolute;
    bottom: -120px;
    left: 0px;
}
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
body .banner--breadcrumbs {
    bottom: 0px;
}    
}
/* =====================================================================
* Menu Button Custom Css 
* =====================================================================
*/
body [data-elementor-type="header"] .menu__button a {
    color: var(--e-global-color-white) !important;
    padding: 10px 30px !important;
	border: 2px solid var(--e-global-color-primary);
	background-color: var(--e-global-color-primary) !important;
	border-radius:100px!important;
    margin-left: 10px !important;

}

body [data-elementor-type="header"] .menu__button a:hover {
    background-color: var(--e-global-color-secondary) !important;
	border-color:var(--e-global-color-secondary);
}

body [data-elementor-type="header"] .menu__button a::before,
body [data-elementor-type="header"] .menu__button a::after {
	display:none;
}

@media only screen and (max-width: 1024px) {
    body [data-elementor-type="header"] .menu__button a {
        margin: 5px !important;
        padding: 8px !important;
    }
}